{ modulesPath, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./firewall
    ./hardware
    ./services
    ./users
    ../../modules/system
    (modulesPath + "/profiles/headless.nix")
  ];

  networking = {
    hostName = "midas";
    hostId = "38ba3f57";
    vlans.internal = {
      id=100;
      interface="enp0s31f6";
    };
    interfaces.internal.ipv4.addresses = [{
      address = "11.0.0.1";
      prefixLength = 8;
    }];
  };

  system = {
    server.enable = true;
    stateVersion = "24.11";
  };
}
